#ifndef MSP_GEOMETRY_CIRCLE_H_
#define MSP_GEOMETRY_CIRCLE_H_

#include "hypersphere.h"

namespace Msp {
namespace Geometry {

/**
The two-dimensional special case of a HyperSphere.  This class exists for
convenience only and does not provide any extra functionality over the base
class.
*/
template<typename T>
class Circle: public HyperSphere<T, 2>
{
public:
	Circle() { }
	explicit Circle(T r): HyperSphere<T, 2>(r) { }
};

} // namespace Geometry
} // namespace Msp

#endif
